import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export function uploadFile(data) {
  return httpRequest.post('https://webapp-pub.oss-cn-beijing.aliyuncs.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' }
  })
}
// 获取所有权限
// export function getPermissions() {
//   return httpRequest.get('/api/zy-admin/school/permission/get-permissions')
// }
/**
 * 获取权限列表
 */
export function getPermissions(params) {
  return httpRequest.get('/api/zy-admin/school/permission/get-permissions', { params })
}
/**
 * 获取课程列表
 */
export function getCourseList(params) {
  return httpRequest.get('/api/zy-admin/school/course/list', { params })
}
/**
 * 获取班级列表
 */
export function getClassList() {
  return httpRequest.get('/api/zy-admin/school/class/list', { params: { page: 'false' } })
}
