import httpRequest from '@/utils/axios'

/**
 * 获取管理员列表
 */
export function getAdminList(params) {
  return httpRequest.get('/api/zy-admin/school/admin/list', { params })
}

/**
 * 获取管理员详情
 */
export function getAdminDetail(params) {
  return httpRequest.get('/api/zy-admin/school/admin/view', { params })
}

/**
 * 管理员添加/创建
 */
export function createAdmin(data) {
  return httpRequest.post('/api/zy-admin/school/admin/add', data)
}

/**
 * 修改管理员
 */
export function updateAdmin(data) {
  return httpRequest.post('/api/zy-admin/school/admin/update', data)
}

/**
 * 删除管理员
 */
export function deleteAdmin(data) {
  return httpRequest.post('/api/zy-admin/school/admin/delete', data)
}

/**
 * 获取班级列表
 */
export function getClassList(params) {
  return httpRequest.get('/api/zy-admin/school/class/list', { params })
}
