import httpRequest from '@/utils/axios'

/**
 * 获取班级列表
 */
export function getClassList(params) {
  return httpRequest.get('/api/zy-admin/school/class/list', { params })
}

/**
 * 获取班级详情
 */
export function getClassDetail(params) {
  return httpRequest.get('/api/zy-admin/school/class/view', { params })
}

/**
 * 创建班级
 */
export function createClass(data) {
  return httpRequest.post('/api/zy-admin/school/class/add', data)
}

/**
 * 班级更新
 */
export function updateClass(data) {
  return httpRequest.post('/api/zy-admin/school/class/update', data)
}

/**
 * 删除班级
 */
export function deleteClass(data) {
  return httpRequest.post('/api/zy-admin/school/class/delete', data)
}

/**
 * 获取添加课程列表
 */
export function getAddCourseList(params) {
  return httpRequest.get('/api/zy-admin/school/class/add-course', { params })
}

/**
 * 添加(删除)课程
 */
export function addCourse(data) {
  return httpRequest.post('/api/zy-admin/school/class/add-course', data)
}

/**
 * 添加(删除)课程
 */
export function updateCourse(data) {
  return httpRequest.post('/api/zy-admin/school/class/update-course', data)
}

/**
 * 获取添加教师列表
 */
export function addTeacher(params) {
  return httpRequest.get('/api/zy-admin/school/class/add-teacher', { params })
}

/**
 * 添加教师
 */
export function addTeachers(data) {
  return httpRequest.post('/api/zy-admin/school/class/add-teacher', data)
}

/**
 * 获取添加学员列表
 */
export function addStudent(params) {
  return httpRequest.get('/api/zy-admin/school/class/add-student', { params })
}

/**
 * 添加学员
 */
export function addStudents(data) {
  return httpRequest.post('/api/zy-admin/school/class/add-student', data)
}

/**
 * 学员导入
 */
export function importStudents(data) {
  return httpRequest({
    url: '/api/zy-admin/school/class/import-student',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data,
    withCredentials: true
  })
}

/**
 * 搜索考试
 */
export function searchClassExam(params) {
  return httpRequest.get('/api/zy-admin/school/class/add-exam', { params })
}

/**
 * 班级考试添加和删除
 */
export function updateClassExam(data) {
  return httpRequest.post('/api/zy-admin/school/class/add-exam', data)
}

// 课程是否可见
export function updateCourseStatus(data) {
  return httpRequest.post('/api/zy-admin/school/class/set-course-is-open', data)
}

/**
 * 学员删除
 */
export function deleteStudent(data) {
  return httpRequest.post('/api/zy-admin/school/student/delete', data)
}

/**
 * 搜索考试
 */
export function downloadProcess(params) {
  return httpRequest.get('/api/zy-admin/school/student/download-process', { params, responseType: 'blob' })
}
